Package ghidra.app.cmd.data

# Class CreateStringCmd

java.lang.Object
ghidra.app.cmd.data.CreateStringCmd

All Implemented Interfaces:
  `Command<Program>`

public class CreateStringCmd extends Object implements Command<Program>
Command to create a String and optionally label it.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateStringCmd(Address addr)`
  Construct command for creating null-terminated ASCII string Data.
  `CreateStringCmd(Address addr, int length)`
  Construct command for creating fixed-length ASCII string Data.
  `CreateStringCmd(Address addr, int length, boolean unicode)`
  Construct command for creating fixed-length ASCII or Unicode string Data.
  `CreateStringCmd(Address addr, int length, boolean unicode, DataUtilities.ClearDataMode clearMode)`
  Construct command for creating fixed-length ASCII or Unicode string Data
  `CreateStringCmd(Address addr, AbstractStringDataType stringDataType, int length, DataUtilities.ClearDataMode clearMode)`
  Construct command for creating string Data

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(Program program)`
  Applies the command to the given domain object.
  `String`
  `getName()`
  Returns the name of this command.
  `String`
  `getStatusMsg()`
  Returns the status message indicating the status of the command.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CreateStringCmd

    public CreateStringCmd(Address addr, AbstractStringDataType stringDataType, int length, DataUtilities.ClearDataMode clearMode)
    Construct command for creating string Data
    Parameters:
      `addr` - address where string should be created.
      `stringDataType` - string datatype
      `length` - maximum string length (treatment is specific to specified datatype).
      `clearMode` - `DataUtilities.ClearDataMode` which indicates how existing Data conflicts should be handled.

  - ### CreateStringCmd

    public CreateStringCmd(Address addr, int length, boolean unicode, DataUtilities.ClearDataMode clearMode)
    Construct command for creating fixed-length ASCII or Unicode string Data
    Parameters:
      `addr` - address where string should be created.
      `length` - byte-length of string
      `unicode` - if true Unicode string will be created, else ASCII
      `clearMode` - `DataUtilities.ClearDataMode` which indicates how existing Data conflicts should be handled.

  - ### CreateStringCmd

    public CreateStringCmd(Address addr, int length, boolean unicode)
    Construct command for creating fixed-length ASCII or Unicode string Data. Current Data at addr will be cleared if it already exists.
    Parameters:
      `addr` - address where string should be created.
      `length` - byte-length of string
      `unicode` - if true Unicode string will be created, else ASCII

  - ### CreateStringCmd

    public CreateStringCmd(Address addr)
    Construct command for creating null-terminated ASCII string Data. Current Data at addr will be cleared if it already exists.
    Parameters:
      `addr` - address where string should be created.

  - ### CreateStringCmd

    public CreateStringCmd(Address addr, int length)
    Construct command for creating fixed-length ASCII string Data. Current Data at addr will be cleared if it already exists.
    Parameters:
      `addr` - address where string should be created.
      `length` - byte-length of string

- ## Method Details

  - ### applyTo

    public boolean applyTo(Program program)
    Description copied from interface: `Command`
    Applies the command to the given domain object.
    Specified by:
      `applyTo` in interface `Command<Program>`
    Parameters:
      `program` - domain object that this command is to be applied.
    Returns:
      true if the command applied successfully

  - ### getStatusMsg

    public String getStatusMsg()
    Description copied from interface: `Command`
    Returns the status message indicating the status of the command.
    Specified by:
      `getStatusMsg` in interface `Command<Program>`
    Returns:
      reason for failure, or null if the status of the command was successful

  - ### getName

    public String getName()
    Description copied from interface: `Command`
    Returns the name of this command.
    Specified by:
      `getName` in interface `Command<Program>`
    Returns:
      the name of this command